@echo off

if not exist terrain.drs goto missing_file
if not exist drsbuild.exe goto missing_file

del %TEMP%\*.slp

drsbuild /e terrain.drs ter15007.slp /o %TEMP%


if not exist ter15000.bckp goto next1
goto weiter
:next1
drsbuild /e terrain.drs ter15000.slp /o %TEMP%
move %TEMP%\ter15000.slp ter15000.bckp

:weiter

if not exist ter15010.bckp goto next2
goto weiter1
:next2
drsbuild /e terrain.drs ter15010.slp /o %TEMP%
move %TEMP%\ter15010.slp ter15010.bckp


:weiter1

copy %TEMP%\ter15007.slp %TEMP%\ter15000.slp 
ren %TEMP%\ter15007.slp ter15010.slp 

drsbuild /r terrain.drs %TEMP%\*.slp

del %TEMP%\*.slp
cls
goto display

:missing_file
echo ERROR: terrain.drs and/or drsbuild.exe dont exist. 
echo make sure you are running this file in the AoK\Data\ folder
echo and check if drsbuild.exe has been extracted correctly.
echo check readme.txt for more info
goto end

:display
cls
echo 
echo           #################################################
echo           #                                               #
echo           #                                               #
echo           #            Script by pG_plexiq :-P            #
echo           #              Copyright (C) 2000               #
echo           #                                               #
echo           #           http://www.pro-gaming.de            #
echo           #                                               #
echo           #                                               #
echo           #            (.DRS) Builder Utility             #
echo           #       Copyright (C) 1997 Stoyan Ratchev       #
echo           #                                               #
echo           #################################################




:end
@echo on